Package org.pentaho.reporting.libraries.resourceloader.cache

# Class BundleCacheResourceWrapper

java.lang.Object
org.pentaho.reporting.libraries.resourceloader.cache.BundleCacheResourceWrapper

All Implemented Interfaces:
  `Serializable`, `Resource`

public class BundleCacheResourceWrapper extends Object implements Resource
Todo: Document me!

Date: 07.10.2009 Time: 18:31:11

Author:
  Thomas Morgner.
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BundleCacheResourceWrapper(Resource parent, ResourceKey outsideKey)`

## Method Summary

Modifier and Type
Method
Description
`ResourceKey[]`
`getDependencies()`
The primary source is also included in this set.
`Object`
`getResource()`
`ResourceKey`
`getSource()`
`Class`
`getTargetType()`
`long`
`getVersion(ResourceKey key)`
`boolean`
`isTemporaryResult()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BundleCacheResourceWrapper

public BundleCacheResourceWrapper(Resource parent, ResourceKey outsideKey)

## Method Details

### getResource

public Object getResource() throws ResourceException

Specified by:
  `getResource` in interface `Resource`
Throws:
  `ResourceException`

### getTargetType

public Class getTargetType()

Specified by:
  `getTargetType` in interface `Resource`

### getVersion

public long getVersion(ResourceKey key)

Specified by:
  `getVersion` in interface `Resource`

### getDependencies

public ResourceKey[] getDependencies()
Description copied from interface: `Resource`
The primary source is also included in this set. The dependencies are given as ResourceKey objects. The keys itself do not hold any state information. The dependencies do not track deep dependencies. So if Resource A depends on Resource B which depends on Resource C, then A only knows about B, not C.

Specified by:
  `getDependencies` in interface `Resource`
Returns:

### getSource

public ResourceKey getSource()

Specified by:
  `getSource` in interface `Resource`

### isTemporaryResult

public boolean isTemporaryResult()

Specified by:
  `isTemporaryResult` in interface `Resource`